@import "normalize.css";
@import "fonts";
@import "variables";
@import "mixins";
@import "typography";
@import "resets";

/* Layouts */
body {
  width: 100%;
  object-fit: cover;
  transition: background-image ease 0.4s;
  font-family: var(--font);
  color: rgb(var(--color));
  background-color: #fff;
  // background-color: var(--dark-theme);
  // background-color: none;
  transition: all ease 0.6s;
}

body.light-theme {
  background-color: var(--light-theme);
}
body.dark-theme {
  background-color: var(--dark-theme);
}

body,
html,
#__nuxt {
  line-height: 1;
}

.layout {
  // margin: 0 auto;
  padding: 10px;
  width: 100%;
  @include phone {
    padding: 0 10px;
  }
  &__footer {
    margin-top: auto;
  }
}

@media (min-width: 575.98px) {
  .layout {
    padding: 0 calc(50vw - 270px);
  }
}

@media (min-width: 767.98px) {
  .layout {
    padding: 0 calc(50vw - 360px);
  }
}

@media (min-width: 1024px) {
  .layout {
    padding: 0 calc(48vw - 460px);
  }
}

@media (min-width: 1440px) {
  .layout {
    padding: 0 calc(38vw - 460px);
  }
}

/* Vue transitions */
.fade-enter-active,
.fade-leave-active {
  transition: all 0.3s ease;
}

.m-fade-enter-active,
.m-fade-leave-active {
  transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to,
.m-fade-enter-from,
.m-fade-leave-to {
  opacity: 0;
}

.slide-enter-active,
.slide-leave-active {
  transition: transform 0.3s ease;
}

.slide-enter-from,
.slide-leave-to {
  transform: translateX(100%);
}

.slide-up-enter-active,
.slide-up-leave-active {
  opacity: 1;
  transition: all 0.2s ease;
}

.slide-up-enter-from,
.slide-up-leave-to {
  opacity: 0.5;
  transform: translateY(40px);
}

// Slider pagination
.flicking-pagination {
  display: flex;
  --theme: var(--white);
  overflow: hidden;
}

.flicking-pagination-bullet {
  width: 12px;
  min-width: 12px;
  height: 12px;
  border-radius: 50%;
  border: 1px solid transparent;

  display: flex;
  align-items: center;
  justify-content: center;

  margin-right: 9px;

  &:after {
    content: "";
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: rgb(var(--theme) / 30%);
  }
}

.flicking-pagination-bullet-active {
  border-color: rgb(var(--theme));

  &:after {
    background-color: rgb(var(--theme));
  }
}

html.lenis,
html.lenis body {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

// .lenis.lenis-smooth iframe {
//   pointer-events: none;
// }

@keyframes starting {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes openning {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
